# Class Mandrill_Metadata

Located at Mandrill/Metadata.php

Methods summary
`public` | # `__construct( `Mandrill` $master )`

`public array`

# `getList( )`

Get the list of custom metadata fields indexed for the account.

Get the list of custom metadata fields indexed for the account.

#### Returns

`array`
the custom metadata fields for the account - return[] struct the individual custom metadata field info - name string the unique identifier of the metadata field to update - state string the current state of the metadata field, one of "active", "delete", or "index" - view_template string Mustache template to control how the metadata is rendered in your activity log

`public struct`

# `add( string $name, string $view_template = null )`

Add a new custom metadata field to be indexed for the account.

Add a new custom metadata field to be indexed for the account.

#### Parameters

$name
  `string`
  $name a unique identifier for the metadata field
$view_template
  `string`
  $view_template optional Mustache template to control how the metadata is rendered in your activity log

#### Returns

`struct`
the information saved about the new metadata field - name string the unique identifier of the metadata field to update - state string the current state of the metadata field, one of "active", "delete", or "index" - view_template string Mustache template to control how the metadata is rendered in your activity log

`public struct`

# `update( string $name, string $view_template )`

Update an existing custom metadata field.

Update an existing custom metadata field.

#### Parameters

$name
  `string`
  $name the unique identifier of the metadata field to update
$view_template
  `string`
  $view_template optional Mustache template to control how the metadata is rendered in your activity log

#### Returns

`struct`
the information for the updated metadata field - name string the unique identifier of the metadata field to update - state string the current state of the metadata field, one of "active", "delete", or "index" - view_template string Mustache template to control how the metadata is rendered in your activity log

`public struct`

# `delete( string $name )`

Delete an existing custom metadata field. Deletion isn't instataneous, and /metadata/list will continue to return the field until the asynchronous deletion process is complete.

Delete an existing custom metadata field. Deletion isn't instataneous, and /metadata/list will continue to return the field until the asynchronous deletion process is complete.

#### Parameters

$name
  `string`
  $name the unique identifier of the metadata field to update

#### Returns

`struct`
the information for the deleted metadata field - name string the unique identifier of the metadata field to update - state string the current state of the metadata field, one of "active", "delete", or "index" - view_template string Mustache template to control how the metadata is rendered in your activity log